package com.gree.mall.manager.enums.material;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum PayTypeEnum implements BaseEnum {
    CASH("CASH","现金支付"),
    WECHAT("WECHAT","微信支付"),
    ALLINPAY("ALLINPAY","通联支付"),
    ENGIN("ENGIN","工程支付"),
    TRANSFER("TRANSFER","转账支付"),
    LINE("LINE","线下支付"),
    CREDIT("CREDIT","记账")
    ;

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;
}
